## lzo2 2.02

=== B/generic/Makefile ===
# Copyright (C) 1996-2005 Markus F.X.J. Oberhumer
#
# this is modelled after build.sh; needs GNU make 3.80

SHELL = /bin/sh

##
## setup flags
##

##top_srcdir ?= ../..
top_srcdir ?= $(dir $(word $(words $(MAKEFILE_LIST)),$(MAKEFILE_LIST)))../..
AR ?= ar
CC ?= cc
CFLAGS ?= -O

CFI = -I$(top_srcdir)/include -I$(top_srcdir)
BNAME = lzo2
BLIB = lib$(BNAME).a

CF = $(CPPFLAGS) $(CFI) $(CFLAGS)
LF = $(LDFLAGS) $(LZO_EXTRA_LDFLAGS)
LL = $(BLIB) $(LIBS) $(LZO_EXTRA_LIBS)


##
## setup files
##

__map = $(foreach __map_v,$(2),$(call $(1),$(__map_v)))
__object_filename = $(addsuffix .o,$(basename $(notdir $(1))))

BLIB_SOURCES := $(wildcard $(top_srcdir)/src/*.c)
BLIB_SOURCES += $(LZO_EXTRA_SOURCES)
BLIB_OBJECTS := $(call __map,__object_filename,$(BLIB_SOURCES))
PROGRAMS = dict.out lzopack.out precomp.out precomp2.out simple.out lzotest.out


##
## rules
##

all.targets ?= $(BLIB) $(PROGRAMS) testmini.out
all: $(all.targets)

clean:
	rm -f *.d *.o $(BLIB) $(PROGRAMS) testmini.out

$(BLIB): $(BLIB_OBJECTS) $(LZO_EXTRA_OBJECTS)
	rm -f $@
	$(AR) rcs $@ $^

# dynamically construct object rules
define BLIB_OBJECT_template
    $(call __object_filename,$(1)) : $(1) ; $(CC) $(CF) $(LZO_EXTRA_CPPFLAGS) $(LZO_EXTRA_CFLAGS) -c $$<
endef
$(foreach s,$(BLIB_SOURCES),$(eval $(call BLIB_OBJECT_template,$(s))))

dict.out: $(top_srcdir)/examples/dict.c
	$(CC) $(CF) $(LF) -o $@ $< $(LL)
lzopack.out: $(top_srcdir)/examples/lzopack.c
	$(CC) $(CF) $(LF) -o $@ $< $(LL)
precomp.out: $(top_srcdir)/examples/precomp.c
	$(CC) $(CF) $(LF) -o $@ $< $(LL)
precomp2.out: $(top_srcdir)/examples/precomp2.c
	$(CC) $(CF) $(LF) -o $@ $< $(LL)
simple.out: $(top_srcdir)/examples/simple.c
	$(CC) $(CF) $(LF) -o $@ $< $(LL)
lzotest.out: $(top_srcdir)/lzotest/lzotest.c
	$(CC) $(CF) $(LF) -o $@ $< $(LL)

testmini.out: $(top_srcdir)/minilzo/testmini.c $(top_srcdir)/minilzo/minilzo.c
	$(CC) $(CF) $(LF) -I$(top_srcdir)/include/lzo -o $@ $^ $(LIBS)


# dependencies
$(PROGRAMS): $(BLIB)
# object dependencies are generated via -MMD
-include *.d


# debug
show_vars:
	@echo "BLIB_SOURCES = $(BLIB_SOURCES)"
	@echo "BLIB_OBJECTS = $(BLIB_OBJECTS)"
	@echo "PROGRAMS = $(PROGRAMS)"
	@echo "LZO_EXTRA_SOURCES = $(LZO_EXTRA_SOURCES)"
	@echo "LZO_EXTRA_OBJECTS = $(LZO_EXTRA_OBJECTS)"

.PHONY: all clean show_vars

## lzo2 2.03

=== debian/changelog ===
lzo2 (2.03-2) unstable; urgency=low

  * Changed source format to 3.0 (quilt)
  * Added ${misc:Depends} to all packages
  * Set a version on the dependency of liblzo2-dev to liblzo2-2
  * Removed redundant section and priority fields
  * Pointed copyright to non-symlinked version of GPL file
  * Updated standards version
  * Really changed to debhelper level 6

 -- Peter Eisentraut <petere@debian.org>  Fri, 06 Nov 2009 09:39:24 +0200

lzo2 (2.03-1) unstable; urgency=low

  * New upstream release
    - Obsoletes patches to avoid requiring an executable stack
  * Updated standards version
  * Added Homepage control field
  * Updated copyright; license is now GPLv2+
  * Changed to debhelper level 6

 -- Peter Eisentraut <petere@debian.org>  Wed, 30 Apr 2008 17:40:08 +0200

lzo2 (2.02-3) unstable; urgency=low

  * Added *.h files to examples (closes: #410054)
  * Updated standards version
  * Patched assembly to avoid requiring an executable stack (closes: #420753)

 -- Peter Eisentraut <petere@debian.org>  Fri, 15 Jun 2007 23:24:41 +0200

lzo2 (2.02-2) unstable; urgency=low

  * Fixed dependencies of liblzo2-dev

 -- Peter Eisentraut <petere@debian.org>  Fri, 27 Jan 2006 17:04:00 +0100

lzo2 (2.02-1) unstable; urgency=low

  * New upstream version in new package because of interface
    incompatibilities (closes: #342715)
  * Removed patches and quilt usage

 -- Peter Eisentraut <petere@debian.org>  Sat, 14 Jan 2006 11:42:59 +0100

lzo (1.08-3) unstable; urgency=low

  * Changed maintainer address
  * Updated standards version
  * Changed build system to CDBS and quilt
  * Added "old version" to description in light of upcoming lzo2 package
  * Altered watch file to cover only version 1 series
  * Added test suite to build process
  * Changed to debhelper level 5

 -- Peter Eisentraut <petere@debian.org>  Wed, 11 Jan 2006 20:09:20 +0100

lzo (1.08-2) unstable; urgency=low

  * New maintainer (closes: #265726)
  * Previous two NMUs acknowledged (closes: #261872, #268052, #263513)
  * Revised descriptions
  * Changed section and priority to match overrides
  * Completed copyright information
  * Removed content-free README.debian
  * Updated rules to debhelper 4 conventions
  * Removed now useless liblzo1.postinst
  * Moved documentation files around
  * Use --disable-dependency-tracking and --disable-libtool-lock to
    speed up builds
  * Added watch file
  * Converted to dpatch
  * Updated libtool (closes: #261313)
  * Added minilzo to installation

 -- Peter Eisentraut <peter_e@gmx.net>  Thu, 11 Nov 2004 12:33:51 +0100

lzo (1.08-1.2) unstable; urgency=high

  * NMU with high urgency for RC fix.
  * configure.in: add proper \ at the end of lines inside multi-line strings
    to fix ASM tests with gcc-3.3 (closes: #268052).
  * Re-run autoconf.
  * Standards-version is 3.6.1.1.

 -- Josselin Mouette <joss@debian.org>  Tue, 31 Aug 2004 11:58:13 +0200

lzo (1.08-1.1) unstable; urgency=low

  * NMU
  * [debian/rules] Added SHELL=/bin/bash as brace expansion is not POSIX.
  * [debian/rules] Put the .la file in the -dev package, not the runtime
    package. (Closes: #261872)
  * [debian/control] Added a Replaces for the .la move.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Wed,  4 Aug 2004 22:25:19 +0200

lzo (1.08-1) unstable; urgency=low

  * New upstream version.
  * Include examples (closes: bug#156918).

 -- Paolo Molaro <lupus@debian.org>  Sun,  8 Jun 2003 14:38:18 +0200

lzo (1.07-1) unstable; urgency=low

  * New upstream release.
  * Updated to new policy.
  * Updated config.{sub,guess} (Closes: bug#95329).

 -- Paolo Molaro <lupus@debian.org>  Sat, 30 Jun 2001 16:31:04 +0200

lzo (1.06-1) unstable; urgency=low

  * New upstream release (Closes: bug#53970).

 -- Paolo Molaro <lupus@lettere.unipd.it>  Wed,  5 Apr 2000 18:46:31 +0200

lzo (1.04-2) unstable; urgency=low

  * Fix overlapping of liblzo.la (Bug#28533).

 -- Paolo Molaro <lupus@lettere.unipd.it>  Thu, 29 Oct 1998 11:17:54 +0100

lzo (1.04-1) unstable; urgency=low

  * New Upstream release.

 -- Paolo Molaro <lupus@lettere.unipd.it>  Fri, 16 Oct 1998 13:45:07 +0200

lzo (1.03-1) unstable; urgency=low

  * Initial Release.

 -- Paolo Molaro <lupus@lettere.unipd.it>  Fri, 13 Feb 1998 13:41:33 +0100

## lzo2 2.05

=== debian/changelog ===
lzo2 (2.05-1) unstable; urgency=low

  * New upstream release
  * Updated standards version
  * Removed *.la file (closes: #622467)

 -- Peter Eisentraut <petere@debian.org>  Mon, 04 Jul 2011 20:09:22 +0300

lzo2 (2.04-1) unstable; urgency=low

  * New upstream release (closes: #610732)
  * Updated standards version
  * Changed to debhelper level 8

 -- Peter Eisentraut <petere@debian.org>  Sat, 19 Feb 2011 08:36:13 +0200

=== debian/control ===
Source: lzo2
Section: libs
Priority: important
Maintainer: Peter Eisentraut <petere@debian.org>
Standards-Version: 3.9.2
Build-Depends: cdbs, debhelper (>= 8)
Homepage: http://www.oberhumer.com/opensource/lzo/

Package: liblzo2-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: liblzo2-2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Replaces: liblzo-dev
Description: data compression library (development files)
 LZO is a portable, lossless data compression library.
 This package contains the header files and static libraries for the
 LZO data compression library.

Package: liblzo2-2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data compression library
 LZO is a portable, lossless data compression library.
 It offers pretty fast compression and very fast decompression.
 Decompression requires no memory.  In addition there are slower
 compression levels achieving a quite competitive compression ratio
 while still decompressing at this very high speed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-shared --disable-libtool-lock
DEB_INSTALL_CHANGELOGS_ALL = NEWS
DEB_INSTALL_DOCS_ALL =
DEB_MAKE_CHECK_TARGET = check test

common-install-impl::
	mkdir -p $(DEB_DESTDIR)/usr/share/lzo/minilzo
	install -D -m 644 minilzo/README.LZO minilzo/minilzo.c minilzo/minilzo.h include/lzo/lzoconf.h include/lzo/lzodefs.h $(CURDIR)/debian/tmp/usr/share/lzo/minilzo

## lzo2 2.06

=== debian/changelog ===
lzo2 (2.06-1) unstable; urgency=low

  * New upstream release
  * Fixed lintian warning brace-expansion-in-debhelper-config-file

 -- Peter Eisentraut <petere@debian.org>  Thu, 10 Nov 2011 07:11:13 +0200

lzo2 (2.05-2) unstable; urgency=low

  * Converted to multiarch
  * Changed priority to optional to match override

 -- Peter Eisentraut <petere@debian.org>  Mon, 01 Aug 2011 14:48:33 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: lzo2
 Section: libs
-Priority: important
+Priority: optional
 Maintainer: Peter Eisentraut <petere@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: cdbs, debhelper (>= 8)
+Build-Depends: cdbs, debhelper (>= 8.1.3)
 Homepage: http://www.oberhumer.com/opensource/lzo/
 
 Package: liblzo2-dev
 Section: libdevel
-Priority: optional
 Architecture: any
 Depends: liblzo2-2 (= ${binary:Version}), libc6-dev, ${misc:Depends}
 Replaces: liblzo-dev
@@ -19,7 +18,9 @@
 
 Package: liblzo2-2
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: data compression library
  LZO is a portable, lossless data compression library.
  It offers pretty fast compression and very fast decompression.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+DEB_CONFIGURE_PATH_ARGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-shared --disable-libtool-lock
 DEB_INSTALL_CHANGELOGS_ALL = NEWS
 DEB_INSTALL_DOCS_ALL =

## lzo2 2.08

=== debian/changelog ===
lzo2 (2.08-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust patch from previous upload so the "modern C" code path still
    defines some typedefs: lzo_memops_TU1p is a pointer to unsigned byte
    (used by the byteswapping implementation on non-powerpc big-endian
    architectures), and lzo_memops_TU2p and lzo_memops_TU4p
    are pointers to unsigned 2- and 4-byte quantities (needed by the
    powerpc assembler implementation). Together, these fix FTBFS on
    big-endian platforms. (Closes: #773580)

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Dec 2014 17:50:38 +0000

lzo2 (2.08-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Replace liblzo's reinvention of memcpy() with calls to memcpy().
    gcc already knows how to inline memcpy calls with constant n,
    and also gets the alignment constraints right, avoiding incorrect
    unaligned accesses on armel (Closes: #757037)

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Dec 2014 23:35:36 +0000

lzo2 (2.08-1) unstable; urgency=low

  * New upstream release (closes: #752861) (CVE-2014-4607)
  * Update standards version
  * Add autotools-dev to build dependencies (closes: #750622)

 -- Peter Eisentraut <petere@debian.org>  Mon, 14 Jul 2014 21:03:12 -0400

lzo2 (2.06-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Correct /usr/lib/liblzo2.so symlink (Closes: #720749)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 26 Aug 2013 20:25:00 +0100

lzo2 (2.06-1.1) unstable; urgency=low

  * Non-maintainer upload to unbreak btrfs/installer.
  * Install libzo2 library into /lib, because btrfs user space now depends
    on this library and thus is needed before /usr might be
    mounted. (Closes: #709422)
  * Create libzo2-2-udeb, for the debian-installer to use btrfs at install
    time.
  * Piggy-back release-goal, mark dev package Multi-Arch (Closes: #681840)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Fri, 16 Aug 2013 09:53:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,12 @@
 DEB_INSTALL_CHANGELOGS_ALL = NEWS
 DEB_INSTALL_DOCS_ALL =
 DEB_MAKE_CHECK_TARGET = check test
+DEB_DH_MAKESHLIBS_ARGS = --add-udeb=liblzo2-2-udeb
+CPPFLAGS += -DLZO_CFG_MODERN_C=1
 
 common-install-impl::
+	mkdir -p $(DEB_DESTDIR)/lib/$(DEB_HOST_MULTIARCH)
+	mv $(DEB_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.* $(DEB_DESTDIR)/lib/$(DEB_HOST_MULTIARCH)
+	ln -sf /lib/$(DEB_HOST_MULTIARCH)/$$(basename $$(readlink $(DEB_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so)) $(DEB_DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so
 	mkdir -p $(DEB_DESTDIR)/usr/share/lzo/minilzo
 	install -D -m 644 minilzo/README.LZO minilzo/minilzo.c minilzo/minilzo.h include/lzo/lzoconf.h include/lzo/lzodefs.h $(CURDIR)/debian/tmp/usr/share/lzo/minilzo

## lzo2 2.10

=== debian/changelog ===
lzo2 (2.10-3build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 13:41:33 +0000

lzo2 (2.10-3) unstable; urgency=medium

  [ Michael Biebl ]
  * Install shared library into /usr. Closes: #1064477.

  [ Stephen Kitt ]
  * Drop the “Replaces” stanza on liblzo-dev, it was removed in 2009.
  * Switch to debhelper compatibility level 13.
  * Override Lintian warnings for pre-compiled object files; their
    source is also provided.
  * Override the Lintian broken-lzo false-positive.
  * Update debian/watch to version 4.
  * Build-depend on pkgconf instead of pkg-config.
  * Standards-Version 4.7.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 27 May 2024 08:12:36 +0200

lzo2 (2.10-2) unstable; urgency=medium

  * Add missing pkg-config build-dependency.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jan 2020 21:35:19 +0100

lzo2 (2.10-1) unstable; urgency=medium

  * Adopt the package. Closes: #946756.
  * Switch to DEP5 debian/copyright.
  * Switch to secure URLs.
  * Switch to dh short rules and debhelper compatibility level 12.
  * Add a symbols file.
  * Set “Rules-Requires-Root: no”.
  * Add a repository on Salsa.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jan 2020 19:20:25 +0100

lzo2 (2.10-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release, with pkg-config support.
  * Don’t depend on libc6-dev, it’s pulled in by build-essential anyway
    (closes: #782099).

 -- Stephen Kitt <skitt@debian.org>  Tue, 01 May 2018 19:14:56 +0200

=== debian/control ===
Source: lzo2
Section: libs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13), pkgconf
Homepage: https://www.oberhumer.com/opensource/lzo/
Vcs-Browser: https://salsa.debian.org/debian/lzo2
Vcs-Git: https://salsa.debian.org/debian/lzo2.git
Rules-Requires-Root: no

Package: liblzo2-dev
Section: libdevel
Architecture: any
Depends: liblzo2-2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: data compression library (development files)
 LZO is a portable, lossless data compression library.
 This package contains the header files and static libraries for the
 LZO data compression library.

Package: liblzo2-2
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: data compression library
 LZO is a portable, lossless data compression library.
 It offers pretty fast compression and very fast decompression.
 Decompression requires no memory.  In addition there are slower
 compression levels achieving a quite competitive compression ratio
 while still decompressing at this very high speed.

Package: liblzo2-2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: data compression library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DLZO_CFG_MODERN_C=1

DEB_DESTDIR = $(CURDIR)/debian/tmp/

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

override_dh_auto_test:
	dh_auto_test -- check test

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(DEB_DESTDIR)/usr/share/lzo/minilzo
	install -D -m 644 minilzo/README.LZO minilzo/minilzo.c minilzo/minilzo.h include/lzo/lzoconf.h include/lzo/lzodefs.h $(CURDIR)/debian/tmp/usr/share/lzo/minilzo

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=liblzo2-2-udeb

=== debian/watch ===
version=4
https://www.oberhumer.com/opensource/lzo/download/lzo@ANY_VERSION@@ARCHIVE_EXT@  debian  uupdate

## lzo2 2.10-2build3+11.0trisquel0

=== debian/changelog ===
lzo2 (2.10-2build3+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 14 Oct 2022 07:40:33 +0000

lzo2 (2.10-2build3) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:16:38 +0100

lzo2 (2.10-2build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:20:31 +0200

lzo2 (2.10-2build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lzo2
 Section: libs
 Priority: optional
-Maintainer: Stephen Kitt <skitt@debian.org>
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13), pkgconf
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), pkg-config
 Homepage: https://www.oberhumer.com/opensource/lzo/
 Vcs-Browser: https://salsa.debian.org/debian/lzo2
 Vcs-Git: https://salsa.debian.org/debian/lzo2.git
@@ -13,6 +14,7 @@
 Section: libdevel
 Architecture: any
 Depends: liblzo2-2 (= ${binary:Version}), ${misc:Depends}
+Replaces: liblzo-dev
 Multi-Arch: same
 Description: data compression library (development files)
  LZO is a portable, lossless data compression library.

## lzo2 2.10-2build4trisquel0

=== debian/changelog ===
lzo2 (2.10-2build4trisquel0) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 05:52:33 +0000

lzo2 (2.10-2build4) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:11:53 +0200

## lzo2 2.10.1

=== debian/changelog ===
lzo2 (2.10.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 May 2022 04:20:35 -0400

lzo2 (2.10.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Add sunway support.

 -- Miao Changwei <miaochangwei@uniontech.com>  Tue, 19 Apr 2022 00:23:30 +0800
